Bin/plugin says "Command [--url] unknown"

Hi,

is plugin broken in 0.90.2?

With version 0.90.1 I can install knapsack with:
./bin/plugin -url http://bit.ly/19zYGu2 -install knapsack

But with version 0.90.2 and the command

./bin/plugin --url http://bit.ly/19zYGu2 --install knapsack

plugin returns an error and "Command [--url] unknown."

So, is plugin brocken? How to install knapsack with 0.90.2?

Bye,

Oliver

--
You received this message because you are subscribed to the Google Groups "elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an email to elasticsearch+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

Try the other way around, i.e.

bin/plugin --install knapsack --url http://bit.ly/19zYGu2

It goes on to print out the help message anyway, so probably a bug, but
works for me if I put the install first.

On Thursday, July 25, 2013 3:01:52 PM UTC+1, Oliver Fischer wrote:

Hi,

is plugin broken in 0.90.2?

With version 0.90.1 I can install knapsack with:
./bin/plugin -url http://bit.ly/19zYGu2 -install knapsack

But with version 0.90.2 and the command

./bin/plugin --url http://bit.ly/19zYGu2 --install knapsack

plugin returns an error and "Command [--url] unknown."

So, is plugin brocken? How to install knapsack with 0.90.2?

Bye,

Oliver

--
You received this message because you are subscribed to the Google Groups "elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an email to elasticsearch+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

Yeah. See https://github.com/elasticsearch/elasticsearch/issues/3245

--
David :wink:
Twitter : @dadoonet / @elasticsearchfr / @scrutmydocs

Le 25 juil. 2013 à 16:28, Tim S timstibbs@gmail.com a écrit :

Try the other way around, i.e.

bin/plugin --install knapsack --url http://bit.ly/19zYGu2

It goes on to print out the help message anyway, so probably a bug, but works for me if I put the install first.

On Thursday, July 25, 2013 3:01:52 PM UTC+1, Oliver Fischer wrote:

Hi,

is plugin broken in 0.90.2?

With version 0.90.1 I can install knapsack with:
./bin/plugin -url http://bit.ly/19zYGu2 -install knapsack

But with version 0.90.2 and the command

./bin/plugin --url http://bit.ly/19zYGu2 --install knapsack

plugin returns an error and "Command [--url] unknown."

So, is plugin brocken? How to install knapsack with 0.90.2?

Bye,

Oliver
--
You received this message because you are subscribed to the Google Groups "elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an email to elasticsearch+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

--
You received this message because you are subscribed to the Google Groups "elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an email to elasticsearch+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

I was just about filing a new issue :wink:

Thx for the link and the help...

Am 25.07.13 17:05, schrieb David Pilato:

Yeah. See https://github.com/elasticsearch/elasticsearch/issues/3245

--
David :wink:
Twitter : @dadoonet / @elasticsearchfr / @scrutmydocs

Le 25 juil. 2013 à 16:28, Tim S <timstibbs@gmail.com
mailto:timstibbs@gmail.com> a écrit :

Try the other way around, i.e.

bin/plugin --install knapsack --url http://bit.ly/19zYGu2

It goes on to print out the help message anyway, so probably a bug,
but works for me if I put the install first.

On Thursday, July 25, 2013 3:01:52 PM UTC+1, Oliver Fischer wrote:

Hi,

is plugin broken in 0.90.2?

With version 0.90.1 I can install knapsack with:
./bin/plugin -url http://bit.ly/19zYGu2 -install knapsack

But with version 0.90.2 and the command

./bin/plugin --url http://bit.ly/19zYGu2 --install knapsack

plugin returns an error and "Command [--url] unknown."

So, is plugin brocken? How to install knapsack with 0.90.2?

Bye,

Oliver

--
You received this message because you are subscribed to the Google
Groups "elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send
an email to elasticsearch+unsubscribe@googlegroups.com
mailto:elasticsearch+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

--
You received this message because you are subscribed to the Google
Groups "elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send
an email to elasticsearch+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

--
You received this message because you are subscribed to the Google Groups "elasticsearch" group.
To unsubscribe from this group and stop receiving emails from it, send an email to elasticsearch+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.